device_type: "dragonboard-845c"

job_name: "tuxlava@fastboot-dragonboard-845c: rcutorture"
priority: 50
visibility: "public"

reboot_to_fastboot: false
context:
    test_character_delay: 10
timeouts:
  job:
    minutes: 95
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: downloads
    timeout:
      minutes: 25
    os: debian
    images:
      partition:0:
        url: "https://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard845c/linaro/rescue/28/dragonboard-845c-bootloader-ufs-linux-28/gpt_both0.bin"
      ramdisk:
        url: "https://snapshots.linaro.org/member-builds/qcomlt/boards/qcom-armv8a/openembedded/master/56008/rpb/initramfs-rootfs-image-qcom-armv8a.rootfs-20240118001247-92260.cpio.gz"
      kernel:
        url: "https://storage.tuxsuite.com/public/linaro/lkft/builds/2jH7aAnf5aayYV7MnnpdsT3zCtJ/Image.gz"
        compression: gz
        type: image
      dtb:
        url: "https://storage.tuxsuite.com/public/linaro/lkft/builds/2jH7aAnf5aayYV7MnnpdsT3zCtJ/dtbs/qcom/sdm845-db845c.dtb"
      modules:
        url: "https://storage.tuxsuite.com/public/linaro/lkft/builds/2jH7aAnf5aayYV7MnnpdsT3zCtJ/modules.tar.xz"
        path: /usr/
        compression: xz
      rootfs:
        url: "https://storage.tuxboot.com/debian/trixie/arm64/rootfs.ext4.xz"
        compression: xz
        format: ext4
        apply-overlay: true
        overlays:
          overlay-00:
            url: "https://storage.tuxboot.com/overlays/debian/trixie/amd64/ltp/20240524/ltp.tar.xz"
            path: "/"
            format: tar
            compression: xz
    postprocess:
      docker:
        image: "linaro/kir:20240606"
        local: true
        steps:
        - /kir/lava/board_setup.sh dragonboard-845c rootfs "/usr/"
- deploy:
    to: fastboot
    os: debian
    timeout:
      minutes: 30
    docker:
      image: "linaro/kir:20240606"
      local: true
    images:
      partition:0:
        url: downloads://gpt_both0.bin
        reboot: hard-reset
      boot:
        url: downloads://boot.img
        reboot: hard-reset
      rootfs:
        url: downloads://rootfs.img
        apply-overlay: true

- command:
    name: pre_os_command
- command:
    name: pre_power_command
- boot:
    docker:
      image: "linaro/kir:master"
      local: true
    method: fastboot
    timeout:
      minutes: 25
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
    - 'dragonboard-845c:'
- test:
    timeout:
      minutes: 15
    definitions:
    - repository: https://storage.tuxboot.com/test-definitions/2024.07.tar.zst
      lava-signal: kmsg
      from: url
      compression: zstd
      path: automated/linux/rcutorture/rcutorture.yaml
      name: rcutorture
